#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main (int argc, char *argv []) {

  float like [2];
  double threshold;
  FILE *fp = NULL;
  int i = 0;
  int lc = 0;

  if (argc != 4) {

    fprintf (stderr, "Usage: convtest filename linecount threshold\n");
    printf ("-1\n");
    exit (-1);

  }

  fp = fopen (argv [1], "r");

  if (!fp) {

    fprintf (stderr, "Could not open file %s\n", argv [1]);
    printf ("-2\n");
    exit (-2);

  }

  threshold = atof (argv [3]);

  lc = atoi (argv [2]);

  if (lc < 2) {
    printf ("0\n");
    exit (0);
  }

  for (i = 0; i < lc - 2; i++)
    fscanf (fp, "%f", like);

  fscanf (fp, "%f", &like [0]);
  fscanf (fp, "%f", &like [1]);

  fclose (fp);

  if (like [1] < like [0]) {
    printf ("2\n");
    exit (0);
  }

  if (fabs (like [1] - like [0]) < threshold) {
    printf ("1\n");
    exit (0);
  } else 
    printf ("0\n");

  exit (0);

}
